aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-libs/beignet/Manifest1
-rw-r--r--dev-libs/beignet/beignet-1.2.0.ebuild96
-rw-r--r--dev-libs/beignet/files/llvm-empty-system-libs.patch11
-rw-r--r--dev-libs/beignet/files/llvm-terminfo.patch20
-rw-r--r--dev-libs/beignet/files/no-debian-multiarch.patch39
-rw-r--r--dev-libs/beignet/files/no-hardcoded-cflags.patch13
-rw-r--r--dev-libs/beignet/metadata.xml8
-rw-r--r--sci-libs/asl/Manifest1
-rw-r--r--sci-libs/asl/asl-0.1.6.ebuild48
9 files changed, 237 insertions, 0 deletions
diff --git a/dev-libs/beignet/Manifest b/dev-libs/beignet/Manifest
new file mode 100644
index 000000000..4c89702ac
--- /dev/null
+++ b/dev-libs/beignet/Manifest
@@ -0,0 +1 @@
+DIST beignet-1.2.0-source.tar.gz 1076674 SHA256 fc7af19efb7596b04510d26c558a576eba3e95e1ef86fd6951213c6a4bf58bff SHA512 f6c0de7d6a301352125d53c843d8c4a9728526b06b215093424720e7c17eb99f8cfc4b70c61e035d5cb36ca7666c6e772fe0d7818d91421104fa1ed350d637f1 WHIRLPOOL 9ac0195b16ff0ed186dbc5e0bfb6ee3027d0426d7e2401238b69b934a010d365eb6941cd80e3650e600cbcac8d31f819e2adb67452394b07a903aad72c1e11d7
diff --git a/dev-libs/beignet/beignet-1.2.0.ebuild b/dev-libs/beignet/beignet-1.2.0.ebuild
new file mode 100644
index 000000000..8d42db823
--- /dev/null
+++ b/dev-libs/beignet/beignet-1.2.0.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+CMAKE_BUILD_TYPE="Release"
+
+inherit python-any-r1 cmake-multilib toolchain-funcs
+
+DESCRIPTION="OpenCL implementation for Intel GPUs"
+HOMEPAGE="https://01.org/beignet"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="git://anongit.freedesktop.org/beignet"
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64"
+ SRC_URI="https://01.org/sites/default/files/${P}-source.tar.gz"
+ S=${WORKDIR}/Beignet-${PV}-Source
+fi
+
+COMMON="${PYTHON_DEPS}
+ media-libs/mesa
+ sys-devel/clang
+ >=sys-devel/llvm-3.5
+ x11-libs/libdrm[video_cards_intel]
+ x11-libs/libXext
+ x11-libs/libXfixes"
+RDEPEND="${COMMON}
+ app-eselect/eselect-opencl"
+DEPEND="${COMMON}
+ virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/no-debian-multiarch.patch
+ "${FILESDIR}"/no-hardcoded-cflags.patch
+ "${FILESDIR}"/llvm-terminfo.patch
+ "${FILESDIR}"/llvm-empty-system-libs.patch
+)
+
+DOCS=(
+ docs/.
+)
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != "binary" ]]; then
+ if tc-is-gcc; then
+ if [[ $(gcc-major-version) -eq 4 ]] && [[ $(gcc-minor-version) -lt 6 ]]; then
+ eerror "Compilation with gcc older than 4.6 is not supported"
+ die "Too old gcc found."
+ fi
+ fi
+ fi
+}
+
+pkg_setup() {
+ python_setup
+}
+
+src_prepare() {
+ cmake-utils_src_prepare
+ # We cannot run tests because they require permissions to access
+ # the hardware, and building them is very time-consuming.
+ cmake_comment_add_subdirectory utests
+}
+
+multilib_src_configure() {
+ VENDOR_DIR="/usr/$(get_libdir)/OpenCL/vendors/${PN}"
+
+ local mycmakeargs=(
+ -DCMAKE_INSTALL_PREFIX="${VENDOR_DIR}"
+ )
+
+ cmake-utils_src_configure
+}
+
+multilib_src_install() {
+ VENDOR_DIR="/usr/$(get_libdir)/OpenCL/vendors/${PN}"
+
+ cmake-utils_src_install
+
+ insinto /etc/OpenCL/vendors/
+ echo "${VENDOR_DIR}/lib/${PN}/libcl.so" > "${PN}-${ABI}.icd" || die "Failed to generate ICD file"
+ doins "${PN}-${ABI}.icd"
+
+ dosym "lib/${PN}/libcl.so" "${VENDOR_DIR}"/libOpenCL.so.1
+ dosym "lib/${PN}/libcl.so" "${VENDOR_DIR}"/libOpenCL.so
+ dosym "lib/${PN}/libcl.so" "${VENDOR_DIR}"/libcl.so.1
+ dosym "lib/${PN}/libcl.so" "${VENDOR_DIR}"/libcl.so
+}
diff --git a/dev-libs/beignet/files/llvm-empty-system-libs.patch b/dev-libs/beignet/files/llvm-empty-system-libs.patch
new file mode 100644
index 000000000..d5e0cd704
--- /dev/null
+++ b/dev-libs/beignet/files/llvm-empty-system-libs.patch
@@ -0,0 +1,11 @@
+--- a/CMake/FindLLVM.cmake 2015-12-18 06:39:59.000000000 +0000
++++ b/CMake/FindLLVM.cmake 2016-08-31 15:05:11.210679204 +0000
+@@ -99,7 +99,7 @@
+ OUTPUT_VARIABLE LLVM_SYSTEM_LIBS_ORIG
+ OUTPUT_STRIP_TRAILING_WHITESPACE
+ )
+-string(REGEX REPLACE " *\n" "" LLVM_SYSTEM_LIBS ${LLVM_SYSTEM_LIBS_ORIG})
++string(REGEX REPLACE " *\n" "" LLVM_SYSTEM_LIBS "${LLVM_SYSTEM_LIBS_ORIG}")
+ endif (LLVM_VERSION_NODOT VERSION_GREATER 34)
+
+ macro(add_one_lib name)
diff --git a/dev-libs/beignet/files/llvm-terminfo.patch b/dev-libs/beignet/files/llvm-terminfo.patch
new file mode 100644
index 000000000..afbbc26a3
--- /dev/null
+++ b/dev-libs/beignet/files/llvm-terminfo.patch
@@ -0,0 +1,20 @@
+--- a/backend/src/CMakeLists.txt 2015-12-18 07:40:03.000000000 +0100
++++ b/backend/src/CMakeLists.txt 2016-08-01 13:44:31.475875150 +0200
+@@ -153,7 +153,7 @@
+
+ add_library(gbeinterp SHARED gbe_bin_interpreter.cpp)
+
+-if (LLVM_VERSION_NODOT VERSION_EQUAL 34)
++if (NOT (LLVM_VERSION_NODOT LESS 34))
+ find_library(TERMINFO NAMES tinfo ncurses)
+ if (${TERMINFO} STREQUAL TERMINFO-NOTFOUND)
+ message(FATAL_ERROR "no libtinfo or libncurses is found in system")
+@@ -161,7 +161,7 @@
+ target_link_libraries(gbe ${TERMINFO})
+ message(STATUS "use ${TERMINFO} as terminal control library")
+ endif (${TERMINFO} STREQUAL TERMINFO-NOTFOUND)
+-endif(LLVM_VERSION_NODOT VERSION_EQUAL 34)
++endif(NOT (LLVM_VERSION_NODOT LESS 34))
+
+ link_directories (${LLVM_LIBRARY_DIR} ${DRM_LIBDIR})
+
diff --git a/dev-libs/beignet/files/no-debian-multiarch.patch b/dev-libs/beignet/files/no-debian-multiarch.patch
new file mode 100644
index 000000000..c9aef4d9d
--- /dev/null
+++ b/dev-libs/beignet/files/no-debian-multiarch.patch
@@ -0,0 +1,39 @@
+--- a/CMakeLists.txt 2015-04-17 04:27:51.000000000 +0200
++++ b/CMakeLists.txt 2015-05-20 20:59:17.895041760 +0200
+@@ -39,14 +39,9 @@
+
+ SET(CMAKE_VERBOSE_MAKEFILE "false")
+ set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/CMake/")
+-INCLUDE (GNUInstallDirs OPTIONAL)
+-# support old CMake without GNUInstallDirs
+-if (NOT CMAKE_INSTALL_FULL_LIBDIR)
+- set (CMAKE_INSTALL_FULL_LIBDIR "${CMAKE_INSTALL_PREFIX}/lib")
+- set (BEIGNET_LIBRARY_ARCHITECTURE "")
+-else (NOT CMAKE_INSTALL_FULL_LIBDIR)
+- set (BEIGNET_LIBRARY_ARCHITECTURE "${CMAKE_LIBRARY_ARCHITECTURE}")
+-endif (NOT CMAKE_INSTALL_FULL_LIBDIR)
++
++set (CMAKE_INSTALL_FULL_LIBDIR "${CMAKE_INSTALL_PREFIX}/lib")
++set (BEIGNET_LIBRARY_ARCHITECTURE "")
+
+ if (NOT LIB_INSTALL_DIR)
+ set (LIB_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBDIR}")
+@@ -55,17 +50,7 @@
+ set (BEIGNET_INSTALL_DIR "${LIB_INSTALL_DIR}/beignet/")
+ endif (NOT BEIGNET_INSTALL_DIR)
+
+-# allow co-installation of 32- and 64-bit versions:
+-# https://wiki.debian.org/Multiarch
+-if (BEIGNET_INSTALL_DIR STREQUAL "${CMAKE_INSTALL_PREFIX}/lib/beignet/")
+- set (ICD_FILE_NAME "intel-beignet.icd")
+-else (BEIGNET_INSTALL_DIR STREQUAL "${CMAKE_INSTALL_PREFIX}/lib/beignet/")
+- if (BEIGNET_LIBRARY_ARCHITECTURE STREQUAL "")
+- set (ICD_FILE_NAME "intel-beignet.icd")
+- else (BEIGNET_LIBRARY_ARCHITECTURE STREQUAL "")
+- set (ICD_FILE_NAME "intel-beignet-${BEIGNET_LIBRARY_ARCHITECTURE}.icd")
+- endif (BEIGNET_LIBRARY_ARCHITECTURE STREQUAL "")
+-endif (BEIGNET_INSTALL_DIR STREQUAL "${CMAKE_INSTALL_PREFIX}/lib/beignet/")
++set (ICD_FILE_NAME "intel-beignet.icd")
+
+ # Force Release with debug info
+ if (NOT CMAKE_BUILD_TYPE)
diff --git a/dev-libs/beignet/files/no-hardcoded-cflags.patch b/dev-libs/beignet/files/no-hardcoded-cflags.patch
new file mode 100644
index 000000000..3dd67b741
--- /dev/null
+++ b/dev-libs/beignet/files/no-hardcoded-cflags.patch
@@ -0,0 +1,13 @@
+--- a/CMakeLists.txt 2016-08-31 17:13:26.000000000 +0000
++++ b/CMakeLists.txt 2016-08-31 17:00:40.000000000 +0000
+@@ -70,8 +70,8 @@
+ elseif (COMPILER STREQUAL "ICC")
+ set (CMAKE_C_CXX_FLAGS "${CMAKE_C_CXX_FLAGS} -wd2928 -Wall -fPIC -fstrict-aliasing -fp-model fast -msse4.1 -Wl,-E")
+ endif ()
+-set (CMAKE_CXX_FLAGS "${CMAKE_C_CXX_FLAGS} -std=c++0x -Wno-invalid-offsetof")
+-set (CMAKE_C_FLAGS "${CMAKE_C_CXX_FLAGS}")
++set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -Wno-invalid-offsetof")
++set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")
+ set (CMAKE_CXX_FLAGS_DEBUG "-O0 -g -DGBE_DEBUG=1")
+ set (CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -g -DGBE_DEBUG=1")
+ set (CMAKE_CXX_FLAGS_MINSIZEREL "-Os -DNDEBUG -DGBE_DEBUG=0")
diff --git a/dev-libs/beignet/metadata.xml b/dev-libs/beignet/metadata.xml
new file mode 100644
index 000000000..3e5026ee3
--- /dev/null
+++ b/dev-libs/beignet/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>marecki@gentoo.org</email>
+ <name>Marek Szuba</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/sci-libs/asl/Manifest b/sci-libs/asl/Manifest
index 2947391fd..3b9136c23 100644
--- a/sci-libs/asl/Manifest
+++ b/sci-libs/asl/Manifest
@@ -1 +1,2 @@
DIST asl-0.1.5.tar.gz 11109430 SHA256 c90be05a6f0b5c7bf12a9630355838e86edf8e2199a238b44b042147d85dfb18 SHA512 97b1a24e200bac1949999a6d3fcf7e9b391b9326abb34ab88acd9ed167e40e613ffabda971db70bfc208e19987c194ddbcc6ecdb4090c02b40c44e3cf1ccd8f6 WHIRLPOOL 2f7a02a53a5c8bb80b49cba8c446bad5492fc167bbc05385db13e52388ddc5694ad8a8699398b2156f5b5dd974bafa41feb595ae33163d77db3b59c0d40c66aa
+DIST asl-0.1.6.tar.gz 586423 SHA256 b35510c2a82f96237d5cc54d727922db00b71c7d6439591ff50882d08f8314d6 SHA512 15b980a4e44eadcc751f5a8fff564ff28fdbdb45582f9632c6a9d4010439c4b19a00507f8f4ae97ac0b687aad00591cbd96520dd4690975e9daefef46ce6b33e WHIRLPOOL 3d0b91f9d94b272fcf656c7c53e4df2a61710971576316bab7046a3c11d829826dc235155c03bc738c55987e8eb19af910af7e18caa10e18d0660cb72a6e0aac
diff --git a/sci-libs/asl/asl-0.1.6.ebuild b/sci-libs/asl/asl-0.1.6.ebuild
new file mode 100644
index 000000000..3163a5d82
--- /dev/null
+++ b/sci-libs/asl/asl-0.1.6.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+MY_PN=ASL
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="git://github.com/AvtechScientific/${MY_PN}.git"
+else
+ SRC_URI="https://github.com/AvtechScientific/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+ S="${WORKDIR}/${MY_PN}-${PV}"
+fi
+
+CMAKE_MIN_VERSION=3.0.2
+CMAKE_MAKEFILE_GENERATOR="${CMAKE_MAKEFILE_GENERATOR:-ninja}"
+
+inherit cmake-utils
+
+DESCRIPTION="Advanced Simulation Library - multiphysics simulation software package"
+HOMEPAGE="http://asl.org.il/"
+LICENSE="AGPL-3"
+SLOT="0"
+IUSE="doc examples matio"
+
+RDEPEND="
+ >=dev-libs/boost-1.55:=
+ >=sci-libs/vtk-6.1
+ >=virtual/opencl-0-r2
+"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen[dot] )
+ matio? ( >=sci-libs/matio-1.5.2 )
+"
+
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/${PF}
+ -DCMAKE_SKIP_RPATH=yes
+ $(cmake-utils_use_with doc API_DOC)
+ $(cmake-utils_use_with examples)
+ $(cmake-utils_use_with matio)
+ )
+ cmake-utils_src_configure
+}